# DaprProtos.DeleteStateRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.DeleteStateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>
      - - io.dapr.v1.DaprProtos.DeleteStateRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.DeleteStateRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.DeleteStateRequest

    public static final class DaprProtos.DeleteStateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>
    implements DaprProtos.DeleteStateRequestOrBuilder

     DeleteStateRequest is the message to delete key-value states in the specific state store.

Protobuf type `dapr.proto.runtime.v1.DeleteStateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.DeleteStateRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.DeleteStateRequest` `build()`
`DaprProtos.DeleteStateRequest` `buildPartial()`
`DaprProtos.DeleteStateRequest.Builder` `clear()`
`DaprProtos.DeleteStateRequest.Builder` `clearEtag()` The entity tag which represents the specific version of data.
`DaprProtos.DeleteStateRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.DeleteStateRequest.Builder` `clearKey()` The key of the desired state
`DaprProtos.DeleteStateRequest.Builder` `clearMetadata()`
`DaprProtos.DeleteStateRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.DeleteStateRequest.Builder` `clearOptions()` State operation options which includes concurrency/ consistency/retry_policy.
`DaprProtos.DeleteStateRequest.Builder` `clearStoreName()` The name of state store.
`DaprProtos.DeleteStateRequest.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata which will be sent to state store components.
`DaprProtos.DeleteStateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`CommonProtos.Etag` `getEtag()` The entity tag which represents the specific version of data.
`CommonProtos.Etag.Builder` `getEtagBuilder()` The entity tag which represents the specific version of data.
`CommonProtos.EtagOrBuilder` `getEtagOrBuilder()` The entity tag which represents the specific version of data.
`String` `getKey()` The key of the desired state
`com.google.protobuf.ByteString` `getKeyBytes()` The key of the desired state
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to state store components.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to state store components.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to state store components.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to state store components.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`CommonProtos.StateOptions` `getOptions()` State operation options which includes concurrency/ consistency/retry_policy.
`CommonProtos.StateOptions.Builder` `getOptionsBuilder()` State operation options which includes concurrency/ consistency/retry_policy.
`CommonProtos.StateOptionsOrBuilder` `getOptionsOrBuilder()` State operation options which includes concurrency/ consistency/retry_policy.
`String` `getStoreName()` The name of state store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store.
`boolean` `hasEtag()` The entity tag which represents the specific version of data.
`boolean` `hasOptions()` State operation options which includes concurrency/ consistency/retry_policy.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.DeleteStateRequest.Builder` `mergeEtag​(CommonProtos.Etag value)` The entity tag which represents the specific version of data.
`DaprProtos.DeleteStateRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.DeleteStateRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.DeleteStateRequest.Builder` `mergeFrom​(DaprProtos.DeleteStateRequest other)`
`DaprProtos.DeleteStateRequest.Builder` `mergeOptions​(CommonProtos.StateOptions value)` State operation options which includes concurrency/ consistency/retry_policy.
`DaprProtos.DeleteStateRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.DeleteStateRequest.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata which will be sent to state store components.
`DaprProtos.DeleteStateRequest.Builder` `putMetadata​(String key, String value)` The metadata which will be sent to state store components.
`DaprProtos.DeleteStateRequest.Builder` `removeMetadata​(String key)` The metadata which will be sent to state store components.
`DaprProtos.DeleteStateRequest.Builder` `setEtag​(CommonProtos.Etag value)` The entity tag which represents the specific version of data.
`DaprProtos.DeleteStateRequest.Builder` `setEtag​(CommonProtos.Etag.Builder builderForValue)` The entity tag which represents the specific version of data.
`DaprProtos.DeleteStateRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.DeleteStateRequest.Builder` `setKey​(String value)` The key of the desired state
`DaprProtos.DeleteStateRequest.Builder` `setKeyBytes​(com.google.protobuf.ByteString value)` The key of the desired state
`DaprProtos.DeleteStateRequest.Builder` `setOptions​(CommonProtos.StateOptions value)` State operation options which includes concurrency/ consistency/retry_policy.
`DaprProtos.DeleteStateRequest.Builder` `setOptions​(CommonProtos.StateOptions.Builder builderForValue)` State operation options which includes concurrency/ consistency/retry_policy.
`DaprProtos.DeleteStateRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.DeleteStateRequest.Builder` `setStoreName​(String value)` The name of state store.
`DaprProtos.DeleteStateRequest.Builder` `setStoreNameBytes​(com.google.protobuf.ByteString value)` The name of state store.
`DaprProtos.DeleteStateRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### clear

    public DaprProtos.DeleteStateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.DeleteStateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.DeleteStateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.DeleteStateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.DeleteStateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### setField

    public DaprProtos.DeleteStateRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### clearField

    public DaprProtos.DeleteStateRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### clearOneof

    public DaprProtos.DeleteStateRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### setRepeatedField

    public DaprProtos.DeleteStateRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### addRepeatedField

    public DaprProtos.DeleteStateRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.DeleteStateRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.DeleteStateRequest.Builder mergeFrom​(DaprProtos.DeleteStateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### mergeFrom

    public DaprProtos.DeleteStateRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.DeleteStateRequest.Builder>`
Throws:
  `IOException`

#### getStoreName

    public String getStoreName()

     The name of state store.

`string store_name = 1;`

Specified by:
  `getStoreName` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The storeName.

#### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1;`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The bytes for storeName.

#### setStoreName

    public DaprProtos.DeleteStateRequest.Builder setStoreName​(String value)

     The name of state store.

`string store_name = 1;`

Parameters:
  `value` - The storeName to set.
Returns:
  This builder for chaining.

#### clearStoreName

    public DaprProtos.DeleteStateRequest.Builder clearStoreName()

     The name of state store.

`string store_name = 1;`

Returns:
  This builder for chaining.

#### setStoreNameBytes

    public DaprProtos.DeleteStateRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

     The name of state store.

`string store_name = 1;`

Parameters:
  `value` - The bytes for storeName to set.
Returns:
  This builder for chaining.

#### getKey

    public String getKey()

     The key of the desired state

`string key = 2;`

Specified by:
  `getKey` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The key.

#### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

     The key of the desired state

`string key = 2;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The bytes for key.

#### setKey

    public DaprProtos.DeleteStateRequest.Builder setKey​(String value)

     The key of the desired state

`string key = 2;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public DaprProtos.DeleteStateRequest.Builder clearKey()

     The key of the desired state

`string key = 2;`

Returns:
  This builder for chaining.

#### setKeyBytes

    public DaprProtos.DeleteStateRequest.Builder setKeyBytes​(com.google.protobuf.ByteString value)

     The key of the desired state

`string key = 2;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

#### hasEtag

    public boolean hasEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Specified by:
  `hasEtag` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  Whether the etag field is set.

#### getEtag

    public CommonProtos.Etag getEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Specified by:
  `getEtag` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The etag.

#### setEtag

    public DaprProtos.DeleteStateRequest.Builder setEtag​(CommonProtos.Etag value)

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

#### setEtag

    public DaprProtos.DeleteStateRequest.Builder setEtag​(CommonProtos.Etag.Builder builderForValue)

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

#### mergeEtag

    public DaprProtos.DeleteStateRequest.Builder mergeEtag​(CommonProtos.Etag value)

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

#### clearEtag

    public DaprProtos.DeleteStateRequest.Builder clearEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

#### getEtagBuilder

    public CommonProtos.Etag.Builder getEtagBuilder()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

#### getEtagOrBuilder

    public CommonProtos.EtagOrBuilder getEtagOrBuilder()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Specified by:
  `getEtagOrBuilder` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### hasOptions

    public boolean hasOptions()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

Specified by:
  `hasOptions` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  Whether the options field is set.

#### getOptions

    public CommonProtos.StateOptions getOptions()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

Specified by:
  `getOptions` in interface `DaprProtos.DeleteStateRequestOrBuilder`
Returns:
  The options.

#### setOptions

    public DaprProtos.DeleteStateRequest.Builder setOptions​(CommonProtos.StateOptions value)

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

#### setOptions

    public DaprProtos.DeleteStateRequest.Builder setOptions​(CommonProtos.StateOptions.Builder builderForValue)

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

#### mergeOptions

    public DaprProtos.DeleteStateRequest.Builder mergeOptions​(CommonProtos.StateOptions value)

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

#### clearOptions

    public DaprProtos.DeleteStateRequest.Builder clearOptions()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

#### getOptionsBuilder

    public CommonProtos.StateOptions.Builder getOptionsBuilder()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

#### getOptionsOrBuilder

    public CommonProtos.StateOptionsOrBuilder getOptionsOrBuilder()

     State operation options which includes concurrency/
     consistency/retry_policy.

`.dapr.proto.common.v1.StateOptions options = 4;`

Specified by:
  `getOptionsOrBuilder` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.DeleteStateRequestOrBuilder`

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.DeleteStateRequestOrBuilder`

#### clearMetadata

    public DaprProtos.DeleteStateRequest.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.DeleteStateRequest.Builder removeMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.DeleteStateRequest.Builder putMetadata​(String key,
                                                             String value)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

#### putAllMetadata

    public DaprProtos.DeleteStateRequest.Builder putAllMetadata​(Map<String,​String> values)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 5;`

#### setUnknownFields

    public final DaprProtos.DeleteStateRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.DeleteStateRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.DeleteStateRequest.Builder>`